# Generated by Django 4.1.3 on 2022-11-01 19:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CropYield',
            fields=[
                ('year', models.DateField(primary_key=True, serialize=False)),
                ('yieldWeight', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='WeatherStation',
            fields=[
                ('stationID', models.CharField(max_length=30, primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='ClimateReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('observationDate', models.DateField()),
                ('maxTemperature', models.FloatField()),
                ('minTemperature', models.FloatField()),
                ('precipitation', models.FloatField()),
                ('station', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.weatherstation')),
            ],
        ),
        migrations.AddConstraint(
            model_name='climatereport',
            constraint=models.UniqueConstraint(fields=('station', 'observationDate'), name='unique_station_observationDate'),
        ),
    ]
